[arch-commits] Commit in gajim/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Thu Jun 4 03:13:26 EDT 2009


    Date: Thursday, June 4, 2009 @ 03:13:26
  Author: jgc
Revision: 41467

Merged revisions 23157,41465 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/gajim/trunk

........
  r23157 | douglas | 2009-01-04 03:54:14 +0100 (Sun, 04 Jan 2009) | 1 line
  
  Changing gajim license to GPL3
........
  r41465 | jgc | 2009-06-04 09:12:46 +0200 (Thu, 04 Jun 2009) | 1 line
  
  Add intltool makedepend (FS#14946)
........

Modified:
  gajim/repos/extra-i686/	(properties)
  gajim/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)


Property changes on: gajim/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /gajim/trunk:1-22096
   + /gajim/trunk:1-41466

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-06-04 07:13:06 UTC (rev 41466)
+++ extra-i686/PKGBUILD	2009-06-04 07:13:26 UTC (rev 41467)
@@ -4,24 +4,23 @@
 
 pkgname=gajim
 pkgver=0.12.1
-pkgrel=1
+pkgrel=2
 pkgdesc="Jabber client written in PyGTK"
 arch=(i686 x86_64)
 url="http://www.gajim.org/"
-license=('GPL')
+license=('GPL3')
 depends=('gtkspell' 'sqlite3' 'dnsutils' 'pygtk' 'libxss' 'python>=2.5')
-makedepends=('gettext' 'perlxml' 'dbus')
+makedepends=('gettext' 'intltool' 'dbus')
 optdepends=('dbus-python')
 options=(!libtool)
-source=(http://www.gajim.org/downloads/gajim-$pkgver.tar.gz)
+source=(http://www.gajim.org/downloads/gajim-${pkgver}.tar.gz)
+md5sums=('195a7973d3fbfb538e2ee74156aa6e9e')
 
 build() {
-  cd $startdir/src/gajim-$pkgver
+  cd "${srcdir}/gajim-${pkgver}"
   
-  ./configure --prefix=/usr
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  cd $startdir/pkg/usr/share/gajim/
-  find . -name "*.pyo" | xargs rm -rf
+  make DESTDIR="${pkgdir}" install || return 1
+  find "${pkgdir}/usr/share/gajim/" -name "*.pyo" | xargs rm -rf
 }
-md5sums=('195a7973d3fbfb538e2ee74156aa6e9e')



More information about the arch-commits mailing list